package RSSReader::Gtk2UI::SaveConfiguration;
use strict;
use RSSReader::Configuration;
use RSSReader::Gtk2UI::Dialog;
use RSSReader::GtkUI::Preferences;


sub run {
    my $res = RSSReader::Configuration->new()->save();
    if (!$res) {
	RSSReader::Gtk2UI::Dialog->run("Could not save your configuration:\n$@");
	return undef;
    }
    my $res_pref = RSSReader::GtkUI::Preferences->new()->save();
    if (!$res_pref) {
        RSSReader::Gtk2UI::Dialog->run("Could not save your preferences:\n$@");
        return undef;
    }
    RSSReader::Gtk2UI::Dialog->run(" Data saved ", 'info');
    return 1;
}

1;
